:root {
  --text: #161616;
  --primary: #6d6d6d;
  --background: #0f0f0f;
  --secondary: #abadc7;
  --accent: #979797;
  --gap: 3rem;
  --color-primary: #737373;
  --color-text: var(--color-neutral-800);
  --color-background: #eaeaea;
  --color-accent: #5f5f5f;
  --color-neutral-100: #ffffff;
  --color-neutral-200: #efeeec;
  --color-neutral-500: #818180;
  --color-neutral-600: #2c2c2c;
  --color-neutral-700: #1f1f1f;
  --color-neutral-800: #131313;
  --color-neutral-900: #000000;
  --cubic-default: cubic-bezier(0.65, 0.05, 0, 1);
  --duration-default: 0.735s;
  --animation-default: var(--duration-default) var(--cubic-default);
  --gap: 2em;
  --section-padding: calc(3.5em + (2em * 2));
  --container-padding: 2em;
  --border-radius: 30px;
}

* {
  margin: 0;
  padding: 0;
  box-sizing: border-box;
}

html,
body {
  font-family: Poppins, sans-serif;
  color: var(--text);
  overflow-x: hidden;
  background: black;
}

a {
  color: var(--primary);
  text-decoration: none;
  transition: all 0.3s ease;
}

ul,
ol,
li {
  list-style: none;
}

h1,
h2,
h3,
h4,
h5,
h6 {
  font-family: Raleway, sans-serif;
}

p {
  line-height: 1;
}

wm-shape {
  z-index: 1;
}

.card-content {
  z-index: 2;
}

/*-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-
Menu Styles
-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=- */

.menu ::-webkit-scrollbar,
.menu::-webkit-scrollbar {
  display: none;
}
.menu {
  -ms-overflow-style: none;
  scrollbar-width: none;
}

.nav-row {
  justify-content: space-between;
  align-items: center;
  width: 100%;
  display: flex;
}

.nav-logo-row {
  pointer-events: auto;
  justify-content: space-between;
  align-items: center;
  width: 13em;
  display: flex;
}

.nav-logo__wordmark {
  width: 4em;
}

.nav-logo__icon {
  width: 1.5em;
  height: 1.5em;
}

.nav-logo {
  width: 80px;
  height: 80px;
}

.container {
  z-index: 1;
  padding-left: var(--container-padding);
  padding-right: var(--container-padding);
  width: 100%;
  margin-left: auto;
  margin-right: auto;
  position: relative;
}

.container.is--full {
  max-width: 100%;
}

.nav-row__right {
  grid-column-gap: 0.625em;
  grid-row-gap: 0.625em;
  pointer-events: auto;
  justify-content: flex-end;
  align-items: center;
  display: flex;
}

.header {
  z-index: 110;
  position: fixed;
  background: white;
  border-radius: var(--border-radius);
  height: 10vh;
  display: flex;
  justify-content: space-between;
  align-items: center;
  inset: 0% 0% auto;
}
.header.active {
  background: var(--color-background);
}

.inline-link__p {
  margin-bottom: 0;
}

.nav {
  z-index: 100;
  width: 100%;
  height: 100vh;
  margin-left: auto;
  margin-right: auto;
  display: block;
  position: fixed;
  inset: 0%;
}

.overlay {
  z-index: 0;
  background-color: #13131366;
  width: 100%;
  height: 100%;
  position: absolute;
  inset: 0%;
}

.menu {
  padding-bottom: var(--menu-padding);
  grid-column-gap: 5em;
  grid-row-gap: 5em;
  padding-top: calc(3 * var(--menu-padding));
  flex-flow: column;
  justify-content: space-between;
  align-items: flex-start;
  width: 35em;
  height: 90vh;
  margin-top: 10vh;
  margin-left: auto;
  position: relative;
  overflow: auto;
  border-radius: var(--border-radius);
}

.menu-bg {
  z-index: 0;
  position: absolute;
  inset: 0%;
}

.menu-inner {
  padding: 3.5em;
  z-index: 0;
  padding: 2em;
  grid-column-gap: 5em;
  grid-row-gap: 5em;
  flex-flow: column;
  justify-content: space-between;
  align-items: flex-start;
  height: 100%;
  display: flex;
  position: relative;
  overflow: auto;
}

.bg-panel {
  z-index: 0;
  background-color: var(--color-background);
  position: absolute;
  inset: 0%;
}

.bg-panel.first {
  background-color: var(--color-primary);
}

.bg-panel.second {
  background-color: var(--color-neutral-100);
}

.menu-list {
  flex-flow: column;
  width: 100%;
  margin-bottom: 0;
  padding-left: 0;
  list-style: none;
  display: flex;
}

.menu-list-item {
  position: relative;
  overflow: hidden;
}

.menu-list-item:nth-child(1) {
  margin-top: 100px;
}

.menu-link-heading {
  text-shadow: 0px 1em 0px var(--color-neutral-200);
}

.menu-link {
  padding-top: 0.75em;
  padding-bottom: 0.75em;
  padding-left: var(--menu-padding);
  grid-column-gap: 0.75em;
  grid-row-gap: 0.75em;
  width: 100%;
  text-decoration: none;
  display: flex;
}

.menu-link-heading {
  z-index: 1;
  text-transform: uppercase;
  font-family: Raleway;
  font-size: 4.625em;
  font-weight: 700;
  line-height: 0.75;
  transition: transform 0.55s cubic-bezier(0.65, 0.05, 0, 1);
  position: relative;
}

.eyebrow {
  z-index: 1;
  color: var(--color-primary);
  text-transform: uppercase;
  font-family: Poppins;
  font-weight: 400;
  position: relative;
}

.menu-link-bg {
  z-index: 0;
  background-color: var(--color-neutral-800);
  transform-origin: 50% 100%;
  transform-style: preserve-3d;
  transition: transform 0.55s cubic-bezier(0.65, 0.05, 0, 1);
  position: absolute;
  inset: 0%;
  transform: scale3d(1, 0, 1);
}

.menu-details {
  padding-left: var(--menu-padding);
  grid-column-gap: 1.25em;
  grid-row-gap: 1.25em;
  flex-flow: column;
  justify-content: flex-start;
  align-items: flex-start;
  display: flex;
}

.p-small {
  font-size: 0.875em;
  font-family: Raleway;
}

.socials-row {
  grid-column-gap: 1.5em;
  grid-row-gap: 1.5em;
  flex-flow: row;
  display: flex;
}

.p-large {
  font-size: 1.125em;
  font-family: Raleway;
}

.text-link {
  text-decoration: none;
  position: relative;
}

.menu-button {
  grid-column-gap: 0.625em;
  grid-row-gap: 0.625em;
  background-color: #0000;
  color: var(--color-text);
  justify-content: flex-end;
  align-items: center;
  margin: -1em;
  padding: 1em;
  display: flex;
  border: none;
  z-index: 0;
}

.menu-button-icon {
  width: 2em;
  height: 1em;
}

.menu-button-text {
  flex-flow: column;
  justify-content: flex-start;
  align-items: flex-end;
  height: 1.125em;
  display: flex;
  overflow: hidden;
}

.icon-wrap {
  transition: transform 0.4s cubic-bezier(0.65, 0.05, 0, 1);
}

@media (hover: hover) {
  /* Menu toggle button*/
  /* .menu-button:hover .icon-wrap {
    transform: rotate(90deg);
  } */

  /* Menu Large Links */
  .menu-link:hover .menu-link-heading {
    transform: translate(0px, -1em);
    transition-delay: 0.1s;
  }
  .menu-link:hover .menu-link-bg {
    transform: scale(1, 1);
  }

  /* Menu Smaller Links */
  .text-link::after {
    content: "";
    position: absolute;
    left: 0;
    bottom: 0;
    width: 100%;
    height: 1px;
    background: var(--color-primary);
    transform-origin: right center;
    transform: scale(0, 1);
    transition: transform 0.4s var(--cubic-default);
  }

  .text-link:hover::after {
    transform-origin: left center;
    transform: scale(1, 1);
  }
}

@media screen and (max-width: 767px) {
  .nav-logo-row {
    grid-column-gap: 2.5em;
    grid-row-gap: 2.5em;
    width: auto;
  }

  .nav-row__right {
    grid-column-gap: 0em;
    grid-row-gap: 0em;
  }

  .menu {
    padding-top: calc(6 * var(--menu-padding));
    width: 100%;
  }

  .bg-panel {
    border-top-left-radius: 0;
    border-bottom-left-radius: 0;
  }

  .menu-list-item {
    height: 4.5em;
  }

  .menu-link-heading {
    font-size: 4em;
  }

  .socials-row {
    grid-column-gap: 1em;
    grid-row-gap: 1em;
  }

  .p-large.text-link {
    font-size: 1em;
  }
}

@media screen and (max-width: 479px) {
  .menu {
    padding-top: calc(7 * var(--menu-padding));
    padding-bottom: calc(2 * var(--menu-padding));
  }
}

section {
  background: var(--color-background);
  border-radius: var(--border-radius);
  padding: 0 var(--section-padding);
  width: 100%;
  position: relative;
}

#hero {
  margin-top: 10vh;
  padding: 0;
  display: grid;
  grid-template-columns: 1fr 1.5fr 1fr;
  background-color: #000000;
}

.hero-container {
  height: 90vh;
  position: relative;
  background-color: black;
  border: 1px solid black;
  display: flex;
  flex-direction: column;
  justify-content: space-between;
  padding: 2rem 2.5rem;
}

.hero-container:nth-child(2) {
  display: flex;
  justify-content: start;
  padding: 0;
}

.hero-container:nth-child(1),
.hero-container:nth-child(3) {
  border-radius: var(--border-radius);
  background: white;
}

.hero-directional {
  display: flex;
  justify-content: space-between;
  align-items: center;
  text-align: right;
}

.clock {
  font-size: 2.5rem;
}

.hero-directional i {
  font-size: 10rem;
}
.hero-container .hero-header {
  font-family: Raleway;
  font-weight: 700;
  text-transform: uppercase;
  line-height: 0.8;
  margin-bottom: 0.5rem;
  font-size: 5rem;
}

@media (max-width: 1300px) {
  .hero-container .hero-header {
    font-size: 3rem;
  }
}

@media (max-width: 1050px) {
  #hero {
    display: flex;
    flex-direction: column;
  }
  .hero-container {
    height: max-content;
    padding: 5rem;
  }
  .hero-container:nth-child(2) {
    height: 70vh;
  }
}

#projects {
  background: white;
  border-radius: var(--border-radius);
  padding: 4rem 2.5rem;
}

.projects-title {
  display: flex;
  justify-content: start;
  align-items: center;
  border-bottom: 1px solid var(--accent);
  padding: 0 0 4rem 0;
}

.projects-title h1 {
  font-size: 4rem;
  line-height: 0.75;
  font-weight: 500;
}
.caution {
  position: fixed;
  bottom: 0;
  left: 0;
  width: 100vw;
  background: #000;
  z-index: 10;
  color: #fff;
  padding: 1rem;
  display: flex;
  justify-content: space-between;
}

.spacer,
.wrapper {
  width: 100%;
  min-height: 100vh;
}

.wrapper {
  padding-top: 100px;
  padding-bottom: 50px;
}

.card-wrapper {
  width: 100%;
  margin-bottom: 30px;
}
.card-wrapper:last-child {
  margin-bottom: 0;
}

.cards {
  width: 100%;
  margin: 0 auto;
  padding: 0 50px;
}

.card {
  width: 100%;
  height: 400px;
  display: flex;
  justify-content: center;
  align-items: end;
  font-size: 30px;
  border-radius: 10px;
  color: var(--color-just-black);
}
